package main

import (
	"net/http"

	"github.com/gin-gonic/gin"
)

func main() {
	// 默认路由引擎
	r := gin.Default()

	// 路由配置
	r.GET("/ping", func(c *gin.Context) {
		c.JSON(http.StatusOK, gin.H{
			"message": "pong",
		})
	})

	// 启动 HTTP 服务
	//r.Run("0.0.0.0:8000")
	//r.Run(":8000")
	_ = r.Run()

	// curl http://127.0.0.1:8080/ping
	//{"message":"pong"}
}
